__RenderPrivilegedAccess

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.render
Class __RenderPrivilegedAccess

    java.lang.Object
      net.ctdp.rfdynhud.render.__RenderPrivilegedAccess

    public class __RenderPrivilegedAccess

extends java.lang.Object

Don't use this at home!

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`__RenderPrivilegedAccess()`

Method Summary
`static TransformableTexture` | `createMainTexture(int width, int height)`
`static void` | `fireAfterWidgetsConfigurationLoaded(WidgetsManager manager, LiveGameData gameData, WidgetsConfiguration widgetsConfig)`
`static void` | `fireBeforeWidgetsConfigurationCleared(WidgetsManager manager, LiveGameData gameData, WidgetsConfiguration widgetsConfig)`
`static void` | `onWidgetCleared(DrawnStringFactory dsf)`
`static void` | `setConfigurationAndLoader(WidgetsConfiguration widgetsConfig, ConfigurationLoader loader, WidgetsManager widgetsManager)`
`static void` | `setOwnerWidget(Widget ownerWidget, TransformableTexture tt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### __RenderPrivilegedAccess

    public __RenderPrivilegedAccess()

Method Detail

### setConfigurationAndLoader

    public static void setConfigurationAndLoader(WidgetsConfiguration widgetsConfig,
                                                 ConfigurationLoader loader,
                                                 WidgetsManager widgetsManager)

### createMainTexture

    public static TransformableTexture createMainTexture(int width,
                                                         int height)

### setOwnerWidget

    public static void setOwnerWidget(Widget ownerWidget,
                                      TransformableTexture tt)

### onWidgetCleared

    public static final void onWidgetCleared(DrawnStringFactory dsf)

### fireBeforeWidgetsConfigurationCleared

    public static final void fireBeforeWidgetsConfigurationCleared(WidgetsManager manager,
                                                                   LiveGameData gameData,
                                                                   WidgetsConfiguration widgetsConfig)

### fireAfterWidgetsConfigurationLoaded

    public static final void fireAfterWidgetsConfigurationLoaded(WidgetsManager manager,
                                                                 LiveGameData gameData,
                                                                 WidgetsConfiguration widgetsConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD